public class EncryptableTester {
    public static void main(String args[]) {
        Person pe = new Person("Pepe", "Garcia Perez");
        Person peEnc = pe.encrypt();
        Person peDec = peEnc.decrypt();
        Point po = new Point(2, -3);
        Point poEnc = po.encrypt();
        Point poDec = poEnc.decrypt();
        System.out.println("Person: \t" + pe);
        System.out.println("Encrypt:\t" + peEnc);
        System.out.println("Decrypt:\t" + peDec);
        System.out.println("Point:  \t" + po);
        System.out.println("Encrypt:\t" + poEnc);
        System.out.println("Decrypt:\t" + poDec);
    }
}
